AI resources
Create a batch of transactions for bank accounts

This endpoint allows creating a batch with one or multiple money out transactions from a Mercado Pago account to other accounts (internal or external), as long as the withdrawal account has funds. The payout can contain up to 1000 transactions that are created and processed in a single request. In case of success, the request will return a response with status 202.

POST

https://api.mercadopago.com/v1/payouts
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
X-Idempotency-Key
string

REQUIRED

This feature allows you to safely retry requests without the risk of accidentally performing the same action more than once. This is useful for avoiding errors, such as creating two identical transactions, for example. T
X-signature
string

REQUIRED

Request signature with the encrypted body in base 64 with the public and private keys of the integrator. It is required only in a productive environment.
X-enforce-signature
boolean
Boolean to indicate whether the integrator will or will not send the signature. It must be "false" for test environments, and "true" for production environments, when the signature is mandatory.
Body
external_reference
string

REQUIRED

Reference to identify the payout. It is generated by the integrator and can be any value that allows transaction tracking, as long as it does not contain special characters (“”, [ ], (), @), does not exceed 64 characters
description
string
Short text describing the complete payout operation, with all sent transfers. Limit of 100 characters counting the space between words.
schedule_date
string
Scheduled date for the payout execution. The value must be in the future and in the standard ISO 8601 UTC-0 format with the date and time of the event ("YYYY-MM-DDTHH:MM:SS"), without timezone. The timezone is automatica
config
object
Object containing settings of the user performing the transaction.
Response parameters
id
string
Unique payout identifier, automatically generated.
external_reference
string
External reference of the payout, generated by the integrator at the time of creation.
idempotency_key
string
Idempotency key used in the header of the request.
created_date
string
Payout creation date.
Errors

400Bad request. The parameters sent are not valid.

invalid_payout_id

Invalid data was sent in the request body. The payout was not found. Try sending the request again, validating all fields.

invalid_transaction_id

Invalid data was sent in the request body. The transaction was not found. Try sending the request again, validating all fields.

invalid_signature

Invalid data was sent in the request body. Check if the secret was generated correctly and is registered with Mercado Pago. Also check if the body you are sending is the one that was encrypted.

idempotency_key_required

Invalid data was sent in the request body. The idempotency key ("idempotency_key") is missing. Try sending the request again, validating all fields.

401Error. Access Token not authorized.

invalid_token

The value sent as Access Token is incorrect. Please check and try again with the correct value.

403Forbidden. You don't have permissions to access this resource.

forbidden

No permission to access the resource.

404Error. Payout not found.

not_found

Payout not found. Please check if you provided the correct payout ID.

500Internal server error.

internal_server_error

An unexpected error occurred on the server. Try the request again.

502Bad gateway. Integration failure with an external service.

bad_gateway

An error occurred in the integration with an external service. Try the request again.

Request
curl -X POST \
    'https://api.mercadopago.com/v1/payouts'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
       -H 'X-Idempotency-Key: 36012dec-5793-44b1-b82d-cd50472439e3' \
       -H 'X-signature: true' \
       -H 'X-enforce-signature: false' \
       -H 'X-test-token: false' \
    -d '{
  "external_reference": "MP0197",
  "description": "Payout for seller commissions",
  "schedule_date": "2026-12-31T10:00:00",
  "config": {
    "notification_url": "https://link-your-webhook-notification.com"
  },
  "transactions": [
    {
      "external_reference": "MP0197",
      "type": "account",
      "account": {
        "email": "test_user_ar@testuser.com",
        "number": "0000003100025957669623",
        "owner_type": "DNI",
        "owner_value": "95871050",
        "bank_id": "003",
        "branch": "0001",
        "holder": "María González"
      },
      "amount": {
        "currency": "ARS",
        "value": 50
      },
      "description": "Payment to seller Beltrano"
    }
  ]
}'
Response
{
  "id": "POP01KKYN1QY2SS1MKAY4KP6SSRCT",
  "external_reference": "MP0197",
  "idempotency_key": "0d5020ed-1af6-469c-ae06-c3bec19954bb",
  "created_date": "2024-01-15T10:30:00Z",
  "status": "created",
  "schedule_date": "2026-12-31T10:00:00",
  "description": "Payout for seller commissions",
  "config": {
    "notification_url": "https://link-your-webhook-notification.com"
  }
}